<?
session_start();
include_once('includes/top.php');
include_once("test.php");
include_once('opendb.php');
$brcode=$_SESSION['brcode'];
$user=$_SESSION['user'];
//$br=$_SESSION['branch'];
if(strlen($user)<=0)
{
    print "<script> alert('Invalid User'); document.location='inde.php' </script>";
    return;
}
$level=$_REQUEST['level'];
$res=mysqli_query($db,"select max(dbno) from dbnote where brcode='$brcode'");
$row=mysqli_fetch_row($res);
if($row[0]<=0)
  //$dbno=37910001;
  $dbno='25'.$brcode.'150001';
 else
  $dbno=($row[0]+1);
?>

<script>
    function edit(a)
{
   document.location='editdbnote.php?dbno='+a;
}


</script>

<style>
 td{font-family:verdana;font-size:14;color:black;}
 th{font-family:verdana;font-size:14;color:white;background-color:#5b5858}
 body{background-color:silver;}
 select
  {border-style:ridge;
   border-color:black;
   height:25px;
   border-size=1;
   font-family:verdana;
   color:black;
  }
 input
  {border-style:ridge;
   border-color:#22437f;
   background-color:white;
   height:25px;
   font-weight:bold;
   border-size=1;
   font-family:sans-serif;
   color:BLACK;
  }
</style>
<head>
<title>PSNFI</title>
 <script src="rightclick_deactive.js"></script>
    <script type="text/javascript" src="scripts/jquery-latest.js"></script>
	<link type="text/css" href="includes/style1.css" rel="stylesheet" />
  <link type="text/css" href="css/form.css" rel="stylesheet" />
    <script type="text/javascript">
        $(function() {
          if ($.browser.msie && $.browser.version.substr(0,1)<7)
          {
			$('li').has('ul').mouseover(function(){
				$(this).children('ul').show();
				}).mouseout(function(){
				$(this).children('ul').hide();
				})
          }
        });        
    </script>


<script>
 var dr_cr=[];
function showNature()
{
 var nature=dr_cr[document.f1.grp.selectedIndex];
 if(nature=='Assets'||nature=='Expenses')
    document.f1.drcr.value='Dr';
 else if(nature=='Liabilities'||nature=='Income')
    document.f1.drcr.value='Cr';
 else
   document.f1.drcr.value='';
}

function chkey(abc)
{
 yy=abc.value
 if(yy.indexOf('  ')>-1) 
  {
    alert('Multiple space is not allowed');
    abc.value='';
  }
 if(yy.indexOf("'")>-1) 
  {
    alert("\' is not allowed");
    abc.value='';
  }
 if(yy.indexOf('"')>-1) 
  {
    alert("\" is not allowed");
    abc.value='';
  }
 if(yy.indexOf('&')>-1) 
  {
    alert("\& is not allowed");
    abc.value='';
  }
}

function valid()
{ 
 subOK="false";
 x=confirm("Do you want to save?");
 if(x)
  subOK="true";
   if(subOK=="true")
     return true;
   else
     return false;
} 

</script>

<body background="back_ground.jpg">
<?
if($level>=0)
{?>
<body>
<center>
<form name=f1 action="svdbnote1.php" method=post onSubmit="return valid()">
<table width=90%>
<tr><td colspan=2 bgcolor=#5b5858 align=center><font color=white size=3>Debit Note <input type=hidden name=dbno value=<? print $dbno ?>><? print $dbno ?></font></tr></td>
<tr><td>Debit</td><td><select  name=led ><option value='Eicher Truck And Buses'>Eicher Truck And Buses </option>
<?
$res11=mysqli_query($db,"select led from ledger where brcode='$brcode' and grp in('Sundry Debtors','Sundry Creditors','SUNDRY CREDITORS EXPENSE') order by led");


while( $row11=mysqli_fetch_array($res11))
{
    ?>
    
 <option value='<? echo $row11['led'] ?>'><? echo $row11['led'] ?></option>
<?
 }
?>
</select>
Date:dd <input type=text name='d' size='2' value='<?print date("d",time());?>'>
mm <input type=text name='m' size='2' value='<?print date("m",time());?>'>
yy <input type=text name='y' size='4' value='<?print date("Y",time());?>'>
</td>
</tr>
<tr><td>Head</td><td>
<select name=grp >
<option></option>
<?


 print "\n<option value='Sales Promotion Expenses'>Sales Promotion Expenses</option>";
 print "\n<option value='Service Promotion Expenses'>Service Promotion Expenses</option>";
 print "\n<option value='TCS PAYABLE'>TCS PAYABLE</option>";
 print "\n<option value='Hire charges Manpower'>Hire charges Manpower</option>";
 print "\n<option value='Discount Received'>Discount Received</option>";
 

?>
</select> Tax Type<select name='taxtype' ><option>INTRA STATE</option><option>INTER STATE</option></select></td></tr>
<tr><td>Amount </td><td><input type=text onChange=calc() name=op> 

<!--
<select name=drcr>
<option>Dr</option>
<option>Cr</option>
<select>
-->
Tax %<select name='taxp' onChange=calc()><option>0.00</option><option>18.00</option><option>28.00</option></select>
 <input type=text name='tax' size=10 value='0'>Amount Before Tax <input type=text readonly name='amt2'></td></tr>
<tr><td>Desc.</td><td><input type=textarea name=desc  size=60 >HSN <input type=text  name='hsn'></td></tr>


<tr><td colspan=2 bgcolor=#5b5858 align=center>
<input type=submit value="Save"> <input type=button value="Cancel" onClick=document.location='blank.html'> 
</tr></td>
</table>
</form>

<?
}
?>

<script>
function calc()
{
 net=parseFloat(document.f1.op.value);
 amt=(net* 100)/(100+parseFloat(document.f1.taxp.value))
 document.f1.amt2.value=parseFloat(amt.toFixed(2));

 tax=parseFloat(document.f1.amt2.value)*parseFloat(document.f1.taxp.value)/100;
 document.f1.tax.value=(net-amt).toFixed(2);
}
</script>
<table border=1>
<th>slno<th>No<th>Date</th><th>Head<th>Details</th><th>Customer</th>Details<th>Amount<th>Edit</th>
<?
$res1=mysqli_query($db,"select * from dbnote where brcode='$brcode'");
$k=1;

while( $row1=mysqli_fetch_array($res1))
{
print"<tr><td>$k</td><td>$row1[dbno]</td><td>".datetohtml($row1['date'])."</td><td>$row1[partic]</td><td>$row1[narr]</td><td>$row1[dbto]</td><td>$row1[dramt]</td><td align=center><input type=button value='Edit' onClick=edit('$row1[dbno]');></td></tr>";
$k++;
}

?>
</table>
